﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MipsFormController.cs" company="MIPS">
//   All rights reserved MIPS
// </copyright>
// <summary>
//   The mips form controller.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace GlimsPureDotNet.Controllers
{
    using GlimsPureDotNet.Views;
using Infragistics.Win.UltraWinToolbars;
    
    /// <summary>
    /// The mips form controller.
    /// </summary>
    public class MipsFormController
    {
        /// <summary>
        /// The view.
        /// </summary>
        private MipsForm view;

        /// <summary>
        /// Initializes a new instance of the <see cref="MipsFormController"/> class.
        /// </summary>
        /// <param name="mipsForm">
        /// The mips form.
        /// </param>
        public MipsFormController(MipsForm mipsForm)
        {
            this.view = mipsForm;
            this.UltraToolbarsManager = this.view.ultraToolbarsManager;
        }

        /// <summary>
        /// Gets the ultra toolbars manager.
        /// </summary>
        public UltraToolbarsManager UltraToolbarsManager { get; private set; }
    }
}
